Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011912ScribusImport / Exportpublic2014-01-01 10:142014-01-07 01:01
Reporterchristoph_s 
Assigned Tofschmid 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSOpenSUSE 64 BitOS Version13.1
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0011912: File Preview of PUB file crashes Scribus
DescriptionActivating the file preview for the file http://bugs.scribus.net/file_download.php?file_id=6198&type=bug [^] (HappyGhostLL) triggers a crash.
Steps To Reproduce1) Use File > Open.

2) Check "Show Preview" in the file selector.

3) Select HappyGhostLL.pub.

--> splat
Additional InformationProgram received signal SIGSEGV, Segmentation fault.
0x0000000000ceedc9 in ScribusMainWindow::HaveNewSel (this=0x1aa1ff0, SelectedType=12)
    at /home/christoph/scribus15/Scribus/scribus/scribus.cpp:2719
2719 const uint docSelectionCount=doc->m_Selection->count();
(gdb) bt
#0 0x0000000000ceedc9 in ScribusMainWindow::HaveNewSel (this=0x1aa1ff0, SelectedType=12)
    at /home/christoph/scribus15/Scribus/scribus/scribus.cpp:2719
0000001 0x0000000000806845 in ScribusMainWindow::qt_static_metacall (_o=0x1aa1ff0,
    _c=QMetaObject::InvokeMetaMethod, _id=141, _a=0x7fffffff76d0)
    at /home/christoph/scribus15/Scribus/scribus/moc_scribus.cpp:1068
0000002 0x00007ffff76d5596 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
0000003 0x00000000007fbd10 in PageItem::frameType (this=0x2e500b0, _t1=12)
    at /home/christoph/scribus15/Scribus/scribus/moc_pageitem.cpp:406
0000004 0x0000000000a3b3cf in PageItem::emitAllToGUI (this=0x2e500b0)
    at /home/christoph/scribus15/Scribus/scribus/pageitem.cpp:9697
0000005 0x0000000000e21c1b in Selection::connectItemToGUI (this=0x2a4fcd0)
    at /home/christoph/scribus15/Scribus/scribus/selection.cpp:165
0000006 0x0000000000e23a2e in Selection::sendSignals (this=0x2a4fcd0, guiConnect=true)
    at /home/christoph/scribus15/Scribus/scribus/selection.cpp:564
0000007 0x0000000000e239e1 in Selection::delaySignalsOff (this=0x2a4fcd0)
    at /home/christoph/scribus15/Scribus/scribus/selection.cpp:552
0000008 0x00007fffd664efd9 in WMFImport::importWMF (this=0x2f78f60, trSettings=..., flags=26)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/wmf/wmfimport.cpp:649
0000009 0x00007fffd664da84 in WMFImport::import (this=0x2f78f60, fname=..., trSettings=..., flags=26)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/wmf/wmfimport.cpp:369
0000010 0x00007fffd665a5bd in WMFImportPlugin::import (this=0x20383b0, filename=..., flags=26)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/wmf/wmfimportplugin.cpp:166
0000011 0x00007fffd6659fe4 in WMFImportPlugin::loadFile (this=0x20383b0, fileName=..., flags=26)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/wmf/wmfimportplugin.cpp:128
0000012 0x00000000009da6c4 in FileFormat::loadFile (this=0x205fdf0, fileName=..., flags=26, index=0)
    at /home/christoph/scribus15/Scribus/scribus/loadsaveplugin.cpp:441
0000013 0x00007fffcde07e08 in RawPainter::drawPolygon (this=0x7fffffffa2d0, vertices=...)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/pub/importpub.cpp:481
0000014 0x00007fffcd4a7602 in libmspub::writeCustomShape(libmspub::ShapeType, WPXPropertyList&, libwpg::WPGPaintInterface*, double, double, double, double, bool, libmspub::VectorTransformation2D, std::vector<libmspub::Line, std::allocator<libmspub::Line> >, boost::function<double (unsigned int)>, std::vector<libmspub::Color, std::allocator<libmspub::Color> > const&, boost::shared_ptr<libmspub::CustomShape const>) (
    shapeType=shapeType@entry=libmspub::RECTANGLE, graphicsProps=..., painter=0x7fffffffa2d0,
    x=x@entry=-1.1433956692913387, y=y@entry=1.5746445756780401, height=height@entry=1.4520352143482065,
    width=width@entry=3.9229068241469816, closeEverything=closeEverything@entry=true, transform=...,
    lines=std::vector of length 0, capacity 0, calculator=...,
    palette=std::vector of length 8, capacity 8 = {...}, shape=...) at PolygonUtils.cpp:5984
0000015 0x00007fffcd474fb5 in libmspub::MSPUBCollector::paintShape (this=0x7fffffff9ea0, info=...,
---Type <return> to continue, or q <return> to quit---
    foldedTransform=..., isGroup=<optimized out>, thisTransform=...) at MSPUBCollector.cpp:508
0000016 0x00007fffcd477b94 in call<libmspub::MSPUBCollector const* const, libmspub::ShapeInfo const, libmspub::Coordinate const, libmspub::VectorTransformation2D const, bool, libmspub::VectorTransformation2D const> (
    u=<optimized out>, b4=<synthetic pointer>, b5=..., b3=..., b2=..., b1=..., this=<optimized out>)
    at /usr/include/boost/bind/mem_fn_template.hpp:674
0000017 operator()<const libmspub::MSPUBCollector*> (u=<optimized out>, a5=..., a4=<optimized out>, a3=..., a2=...,
    a1=..., this=<optimized out>) at /usr/include/boost/bind/mem_fn_template.hpp:684
0000018 operator()<boost::function<void()>, boost::_mfi::cmf5<boost::function<void()>, libmspub::MSPUBCollector, const libmspub::ShapeInfo&, const libmspub::Coordinate&, const libmspub::VectorTransformation2D&, bool, const libmspub::VectorTransformation2D&>, boost::_bi::list5<const libmspub::ShapeInfo&, const libmspub::Coordinate&, const libmspub::VectorTransformation2D&, bool&, const libmspub::VectorTransformation2D&> > (a=<synthetic pointer>,
    f=..., this=<optimized out>) at /usr/include/boost/bind/bind.hpp:586
0000019 operator()<const libmspub::ShapeInfo, const libmspub::Coordinate, const libmspub::VectorTransformation2D, bool, const libmspub::VectorTransformation2D> (a5=..., a4=<synthetic pointer>, a3=..., a2=..., a1=...,
    this=<optimized out>) at /usr/include/boost/bind/bind_template.hpp:174
0000020 boost::detail::function::function_obj_invoker5<boost::_bi::bind_t<boost::function<void ()>, boost::_mfi::cmf5<boost::function<void ()>, libmspub::MSPUBCollector, libmspub::ShapeInfo const&, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&, bool, libmspub::VectorTransformation2D const&>, boost::_bi::list6<boost::_bi::value<libmspub::MSPUBCollector const*>, boost::arg<1>, boost::arg<2>, boost::arg<3>, boost::arg<4>, boost::arg<5> > >, boost::function<void ()>, libmspub::ShapeInfo const&, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&, bool, libmspub::VectorTransformation2D const&>::invoke(boost::detail::function::function_buffer&, libmspub::ShapeInfo const&, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&, bool, libmspub::VectorTransformation2D const&) (function_obj_ptr=..., a0=..., a1=..., a2=..., a3=<optimized out>, a4=...)
    at /usr/include/boost/function/function_template.hpp:132
0000021 0x00007fffcd4a8eaf in operator() (a4=..., a3=<optimized out>, a2=..., a1=..., a0=..., this=0x7fffffff99c0)
    at /usr/include/boost/function/function_template.hpp:767
0000022 libmspub::ShapeGroupElement::visit(boost::function<boost::function<void ()> (libmspub::ShapeInfo const&, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&, bool, libmspub::VectorTransformation2D const&)>, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&) const (this=0x2ec79b0, visitor=...,
    relativeTo=..., parentFoldedTransform=...) at ShapeGroupElement.cpp:89
0000023 0x00007fffcd4a8f2b in libmspub::ShapeGroupElement::visit(boost::function<boost::function<void ()> (libmspub::ShapeInfo const&, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&, bool, libmspub::VectorTransformation2D const&)>, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&) const (
    this=this@entry=0x2ec6e30, visitor=..., relativeTo=..., parentFoldedTransform=...)
    at ShapeGroupElement.cpp:92
0000024 0x00007fffcd4a92b7 in libmspub::ShapeGroupElement::visit(boost::function<boost::function<void ()> (libmspub::ShapeInfo const&, libmspub::Coordinate const&, libmspub::VectorTransformation2D const&, bool, libmspub::VectorTransformation2D const&)>) const (this=0x2ec6e30, visitor=...) at ShapeGroupElement.cpp:104
---Type <return> to continue, or q <return> to quit---
0000025 0x00007fffcd470880 in libmspub::MSPUBCollector::writePageShapes (this=this@entry=0x7fffffff9ea0,
    pageSeqNum=266) at MSPUBCollector.cpp:1400
0000026 0x00007fffcd477483 in libmspub::MSPUBCollector::writePage (this=this@entry=0x7fffffff9ea0, pageSeqNum=266)
    at MSPUBCollector.cpp:1388
0000027 0x00007fffcd477587 in libmspub::MSPUBCollector::go (this=0x7fffffff9ea0) at MSPUBCollector.cpp:1456
0000028 0x00007fffcd483987 in libmspub::MSPUBDocument::parse (input=0x7fffffffa970, painter=<optimized out>)
    at MSPUBDocument.cpp:170
0000029 0x00007fffcde15196 in PubPlug::convert (this=0x2e48400, fn=...)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/pub/importpub.cpp:1699
0000030 0x00007fffcde1333f in PubPlug::readThumbnail (this=0x2e48400, fName=...)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/pub/importpub.cpp:1433
0000031 0x00007fffcde20983 in ImportPubPlugin::readThumbnail (this=0x1e59ab0, fileName=...)
    at /home/christoph/scribus15/Scribus/scribus/plugins/import/pub/importpubplugin.cpp:170
0000032 0x00000000009db132 in FileFormat::readThumbnail (this=0x1c6e1f0, fileName=...)
    at /home/christoph/scribus15/Scribus/scribus/loadsaveplugin.cpp:553
0000033 0x0000000000f202e2 in FDialogPreview::GenPreview (this=0x2f6db50, name=...)
    at /home/christoph/scribus15/Scribus/scribus/ui/customfdialog.cpp:212
0000034 0x0000000000f242ba in CustomFDialog::fileClicked (this=0x30c4d30, path=...)
    at /home/christoph/scribus15/Scribus/scribus/ui/customfdialog.cpp:481
0000035 0x0000000000818c15 in CustomFDialog::qt_static_metacall (_o=0x30c4d30, _c=QMetaObject::InvokeMetaMethod,
    _id=0, _a=0x7fffffffb700) at /home/christoph/scribus15/Scribus/scribus/ui/moc_customfdialog.cpp:142
0000036 0x00007ffff76d5596 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
0000037 0x00007ffff6fb2165 in QFileDialog::currentChanged(QString const&) () from /usr/lib64/libQt5Widgets.so.5
0000038 0x00007ffff6fbbd72 in QFileDialogPrivate::_q_currentChanged(QModelIndex const&) ()
   from /usr/lib64/libQt5Widgets.so.5
0000039 0x00007ffff6fbec5d in ?? () from /usr/lib64/libQt5Widgets.so.5
0000040 0x00007ffff76d5596 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
0000041 0x00007ffff7671bba in QItemSelectionModel::currentChanged(QModelIndex const&, QModelIndex const&) ()
   from /usr/lib64/libQt5Core.so.5
0000042 0x00007ffff7671d6b in QItemSelectionModel::setCurrentIndex(QModelIndex const&, QFlags<QItemSelectionModel::SelectionFlag>) () from /usr/lib64/libQt5Core.so.5
0000043 0x00007ffff6ff3f5c in QAbstractItemView::mousePressEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000044 0x00007ffff6e09e72 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000045 0x00007ffff6f03c6e in QFrame::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000046 0x00007ffff6ffab8b in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000047 0x00007ffff76afbf5 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Core.so.5
0000048 0x00007ffff6dd01cc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
---Type <return> to continue, or q <return> to quit---
   from /usr/lib64/libQt5Widgets.so.5
0000049 0x00007ffff6dd5b49 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000050 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000051 0x00007ffff6dd3e71 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQt5Widgets.so.5
0000052 0x00007ffff6e25aef in ?? () from /usr/lib64/libQt5Widgets.so.5
0000053 0x00007ffff6e27803 in ?? () from /usr/lib64/libQt5Widgets.so.5
0000054 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000055 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000056 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000057 0x00007ffff67433c7 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*)
    () from /usr/lib64/libQt5Gui.so.5
0000058 0x00007ffff6744ec5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib64/libQt5Gui.so.5
0000059 0x00007ffff672f608 in QWindowSystemInterface::sendWindowSystemEventsImplementation(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Gui.so.5
0000060 0x00007fffe3719130 in ?? () from /usr/lib64/qt5/plugins/platforms/libqxcb.so
0000061 0x00007fffec596316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000062 0x00007fffec596668 in ?? () from /usr/lib64/libglib-2.0.so.0
0000063 0x00007fffec59670c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000064 0x00007ffff76f69cc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQt5Core.so.5
0000065 0x00007ffff76ae71b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQt5Core.so.5
0000066 0x00007ffff6faf40d in QDialog::exec() () from /usr/lib64/libQt5Widgets.so.5
0000067 0x0000000000d3333f in ScribusMainWindow::CFileDialog (this=0x1aa1ff0, wDir=..., caption=..., filter=...,
    defNa=..., optionFlags=2, docom=0x0, doFont=0x0, doProfiles=0x0)
    at /home/christoph/scribus15/Scribus/scribus/scribus.cpp:9520
0000068 0x0000000000d0015d in ScribusMainWindow::slotDocOpen (this=0x1aa1ff0)
    at /home/christoph/scribus15/Scribus/scribus/scribus.cpp:3834
0000069 0x0000000000805f90 in ScribusMainWindow::qt_static_metacall (_o=0x1aa1ff0,
    _c=QMetaObject::InvokeMetaMethod, _id=69, _a=0x7fffffffcf00)
    at /home/christoph/scribus15/Scribus/scribus/moc_scribus.cpp:989
#70 0x00007ffff76d5596 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
0000071 0x00007ffff6dc9242 in QAction::triggered(bool) () from /usr/lib64/libQt5Widgets.so.5
0000072 0x00007ffff6dcb558 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQt5Widgets.so.5
0000073 0x00007ffff6ec458d in ?? () from /usr/lib64/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
0000074 0x00007ffff6ec46c4 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000075 0x00007ffff6f7ca5a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000076 0x00007ffff6e09e59 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000077 0x00007ffff6f7cb39 in QToolButton::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000078 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000079 0x00007ffff6dd5b49 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000080 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000081 0x00007ffff6dd3e71 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQt5Widgets.so.5
0000082 0x00007ffff6e25aef in ?? () from /usr/lib64/libQt5Widgets.so.5
0000083 0x00007ffff6e27803 in ?? () from /usr/lib64/libQt5Widgets.so.5
0000084 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000085 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000086 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000087 0x00007ffff67433c7 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*)
    () from /usr/lib64/libQt5Gui.so.5
0000088 0x00007ffff6744ec5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib64/libQt5Gui.so.5
0000089 0x00007ffff672f608 in QWindowSystemInterface::sendWindowSystemEventsImplementation(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Gui.so.5
0000090 0x00007fffe3719130 in ?? () from /usr/lib64/qt5/plugins/platforms/libqxcb.so
0000091 0x00007fffec596316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000092 0x00007fffec596668 in ?? () from /usr/lib64/libglib-2.0.so.0
0000093 0x00007fffec59670c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000094 0x00007ffff76f69cc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQt5Core.so.5
0000095 0x00007ffff76ae71b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQt5Core.so.5
0000096 0x00007ffff76b4ca1 in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
0000097 0x00000000012a7f28 in mainApp (argc=1, argv=0x7fffffffddb8)
    at /home/christoph/scribus15/Scribus/scribus/main_nix.cpp:86
0000098 0x00000000012a7eb8 in main (argc=1, argv=0x7fffffffddb8)
    at /home/christoph/scribus15/Scribus/scribus/main_nix.cpp:54
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0030978)
fschmid (administrator)
2014-01-03 10:59

Have fixed that in my private SVN copy, as soon as real SVN is back again it will be committed.
(0030991)
christoph_s (administrator)
2014-01-07 01:01

Tested, fixed. Thanks.

- Issue History
Date Modified Username Field Change
2014-01-01 10:14 christoph_s New Issue
2014-01-03 10:59 fschmid Note Added: 0030978
2014-01-06 17:21 fschmid Status new => resolved
2014-01-06 17:21 fschmid Fixed in Version => 1.5.0svn
2014-01-06 17:21 fschmid Resolution open => fixed
2014-01-06 17:21 fschmid Assigned To => fschmid
2014-01-07 01:01 christoph_s Note Added: 0030991
2014-01-07 01:01 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker